> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Workspace

> Update general settings



## OpenAPI

````yaml post /workspace/{workspaceId}
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /workspace/{workspaceId}:
    post:
      tags:
        - Workspace
      description: Update general settings
      parameters:
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
          description: Workspace ID
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Workspace name
                theme:
                  type: string
                  description: Workspace theme color
                week_starts_on:
                  type: string
                  enum:
                    - monday
                    - sunday
                  description: Workspace week starts on
              required:
                - name
                - theme
                - week_starts_on
        required: true
      responses:
        '200':
          description: Default Response
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````